package github

import (
	"context"
	"fmt"

	"git.unistack.org/unistack-org/pkgdash/internal/configcli"
	"git.unistack.org/unistack-org/pkgdash/internal/modules"
)

type Github struct {
	Username string
	Password string
}

func NewGithub(cfg configcli.Config) *Github {
	return &Github{
		Username: cfg.Source.Username,
    Password: cfg.Source.Password,
	}
}

func (g *Github) Name() string {
	return "github"
}

func (g *Github) RequestOpen(ctx context.Context, branch string, path string, mod modules.Update) error {
	return fmt.Errorf("implement me")
}
func (g *Github) RequestClose(ctx context.Context, branch string, path string) error {
	return fmt.Errorf("implement me")
}
func (g *Github) RequestUpdate(ctx context.Context, branch string, path string, mod modules.Update) error {
	return fmt.Errorf("implement me")
}
func (g *Github) RequestList(ctx context.Context, branch string) (map[string]string, error) {
	return nil, fmt.Errorf("implement me")
}
